// LINK INCLUDE FILE: SAMPLE LINK SCENE
// ************************************
// This scene shows how the link_object, link_twist, and link turbulence
// options can be used to create different types of links.

// BARS TO HANG LINKS ON
// *********************
   union {
      quadric {<1, 1, 0>, <0, 0, 0>, <0, 0, 0>, -.05 translate <-10, 6, 0>}
      quadric {<1, 1, 0>, <0, 0, 0>, <0, 0, 0>, -.05 translate <10, -3, 0>}
      pigment {rgb <.5, .5, .5>}}

// CAMERAS AND LIGHTS
// ******************
   camera {location <60, 20, -10> look_at <0, 0, 0> angle 25}
   light_source {<-20, 100, -50> rgb 1.3}
   light_source {<100, -50, 30> rgb <.3, .5, .7>}

// COMMON LINK OPTION
// ******************
   #declare link_looseness = 1.5
   #include "LINKOBJS.INC"

// LINK OBJECTS
// ************
   #declare link_object = Gold_Chain
   #declare link_count = 30
   #declare link_twist = .25
   #declare link_point1 = <-10, 6, -12>
   #declare link_point2 = <10, -3, -12>
   #include "LINK.INC"

   #declare link_object = Iron_Chain
   #declare link_count = 20
   #declare link_twist = .475
   #declare link_point1 = <-10, 6, -9>
   #declare link_point2 = <10, -3, -9>
   #include "LINK.INC"

   #declare link_object = Rope
   #declare link_count = 60
   #declare link_twist = -.1
   #declare link_point1 = <-10, 6, -6>
   #declare link_point2 = <10, -3, -6>
   #include "LINK.INC"

   #declare link_object = Candy_Cane
   #declare link_count = 200
   #declare link_twist = .05
   #declare link_point1 = <-10, 6, -3>
   #declare link_point2 = <10, -3, -3>
   #include "LINK.INC"

   #declare link_object = Snake
   #declare link_count = 80
   #declare link_twist = -.25
   #declare link_point1 = <-10, 6, 0>
   #declare link_point2 = <10, -3, 0>
   #include "LINK.INC"

   #declare link_object = Spikes
   #declare link_count = 40
   #declare link_twist = 0
   #declare link_twist_turb = .5
   #declare link_point1 = <-10, 6, 3>
   #declare link_point2 = <10, -3, 3>
   #include "LINK.INC"

   #declare link_object = RailWay
   #declare link_count = 30
   #declare link_twist = 0
   #declare link_twist_turb = 0
   #declare link_point1 = <-10, 6, 6>
   #declare link_point2 = <10, -3, 6>
   #include "LINK.INC"

   #declare link_object = Beads
   #declare link_count = 15
   #declare link_twist = 0
   #declare link_point1 = <-10, 6, 9>
   #declare link_point2 = <10, -3, 9>
   #include "LINK.INC"

   #declare link_object = Bubbles
   #declare link_count = 25
   #declare link_size_turb = .5
   #declare link_twist_turb = 1
   #declare link_point1 = <-10, 6, 12>
   #declare link_point2 = <10, -3, 12>
   #include "LINK.INC"
